package com.bonus.sgzb.system.service.impl;

import com.bonus.sgzb.system.mapper.BmNumLogsMapper;
import org.springframework.stereotype.Service;

import org.springframework.beans.factory.annotation.Autowired;

import com.bonus.sgzb.system.api.domain.BmNumLogs;

import java.util.List;

@Service
public class BmNumLogsService{

    @Autowired
    private BmNumLogsMapper bmNumLogsMapper;

    public int deleteByPrimaryKey(Integer id) {
        return bmNumLogsMapper.deleteByPrimaryKey(id);
    }

    
    public int insert(BmNumLogs record) {
        return bmNumLogsMapper.insert(record);
    }

    public List<BmNumLogs> selectAll(BmNumLogs record) {
        return bmNumLogsMapper.selectAll(record);
    }

    public int insertSelective(BmNumLogs record) {
        return bmNumLogsMapper.insertSelective(record);
    }

    
    public BmNumLogs selectByPrimaryKey(Integer id) {
        return bmNumLogsMapper.selectByPrimaryKey(id);
    }

    
    public int updateByPrimaryKeySelective(BmNumLogs record) {
        return bmNumLogsMapper.updateByPrimaryKeySelective(record);
    }

    
    public int updateByPrimaryKey(BmNumLogs record) {
        return bmNumLogsMapper.updateByPrimaryKey(record);
    }

}
